xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "MattO" <ma...@tellme.com>
Subject RE: error building bgimage.fo, images.fo, list.pdf
Date Thu, 03 Apr 2003 15:47:07 GMT
Thanks for your reply, J.

Is there a consolidated list of minimum software/system requirements
available in the distribution? 

Would the dev list be a more suitable place to ask specifically what
native libraries are required that don't come with the FOP distribution?

I don't think my sysadmin is going to be as friendly when I tell him I
need to upgrade my OS to use FOP...

Matt
-----Original Message-----
From: J.Pietschmann [mailto:j3322ptm@yahoo.de] 
Sent: Wednesday, April 02, 2003 9:04 AM
To: fop-user@xml.apache.org
Subject: Re: error building bgimage.fo, images.fo, list.pdf

MattO wrote:
> I downloaded the fop 0.20.4 binary distribution to a Unix box running
> Solaris 5.7 with Java RE 1.3.0 installed.
> 
> I'm able to build a .pdf from docs/examples/simple.fo, but when I
> attempt to build images.fo, I get the following:
...
> java.lang.UnsatisfiedLinkError: exception occurred in JNI_OnLoad
>         at java.lang.ClassLoader$NativeLibrary.load(Native Method)

It seems your environment is lacking a native library for processing
GIF images, or something similar. Ask your friendly system administrator
to fix this.
BTW isn't Solaris 5.7 rather old? Probably even older than fop 0.20.4...

J.Pietschmann


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-user-unsubscribe@xml.apache.org
For additional commands, e-mail: fop-user-help@xml.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: fop-user-unsubscribe@xml.apache.org
For additional commands, e-mail: fop-user-help@xml.apache.org


Mime
View raw message